.. AUTO-GENERATED FILE. DO NOT EDIT. store-cart-items-get-many ========================= Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-10`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-cart-items-get-many`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-10`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-10 API Name: jef-store Action: get Method: GET Resource Path: /store-cart-items-get-many Table: - table: jef-store-cart-items - operation: get-many Payload Schema: - gsi_1_pk: cart_id Payload Example: - gsi_1_pk: cart-1001-0001 Response Schema: - exists: boolean - message: string - items: [{"cart_item_id":"string","cart_id":"string","entity_number":"string","product_number":"string","sku":"string","product_name":"string","unit_price":"number","quantity":"number","stock_quantity_snapshot":"number","line_total":"number","is_selected":"boolean","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "cart_id" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"cart_item_id\":\"string\",\"cart_id\":\"string\",\"entity_number\":\"string\",\"product_number\":\"string\",\"sku\":\"string\",\"product_name\":\"string\",\"unit_price\":\"number\",\"quantity\":\"number\",\"stock_quantity_snapshot\":\"number\",\"line_total\":\"number\",\"is_selected\":\"boolean\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-many?gsi_1_pk=cart-1001-0001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-many?gsi_1_pk=cart-1001-0001"